AM263Px MCU+ SDK: OSPILLD_Object Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
OSPILLD_Object Struct Reference

## Detailed Description

OSPI driver object.

## Data Fields
uint32_t | baseAddr
const OSPI_Params * | openParams
uint32_t | transferMode
uint32_t | protocol
uint32_t | rdDummyCycles
uint32_t | cmdDummyCycles
uint32_t | rdDataCapDelay
uint32_t | phyRdDataCapDelay
uint32_t | numAddrBytes
uint32_t | cmdExtType
uint32_t | phyEnableSuccess
OSPI_Transaction * | currTrans
OSPI_Transaction | trans
OSPILLD_InitHandle | hOspiInit
uint32_t | state
void * | args
OSPI_Clock_getTicks | Clock_getTicks
OSPI_Clock_usecToTicks | Clock_usecToTicks
OSPI_Clock_usec | Clock_usleep
OSPI_lld_InterruptCallback | interruptCallback
OSPI_lld_dma_readCompleteCallback | readCompleteCallback

## Field Documentation

## ◆ baseAddr

uint32_t OSPILLD_Object::baseAddr

Peripheral base address

## ◆ openParams

const OSPI_Params* OSPILLD_Object::openParams

## ◆ transferMode

uint32_t OSPILLD_Object::transferMode

Polling, Blocking or Callback mode. Refer OSPI_TransferMode

## ◆ protocol

uint32_t OSPILLD_Object::protocol

Protocol for OSPI reading/writing. 32 bit integer with byte0 -> data lines byte1 -> addr lines byte2 -> cmd lines byte3 -> STR/DTR (0 = STR, 1 = DTR)

## ◆ rdDummyCycles

uint32_t OSPILLD_Object::rdDummyCycles

Number of dummy cycles needed for read

## ◆ cmdDummyCycles

uint32_t OSPILLD_Object::cmdDummyCycles

Number of dummy cycles needed for cmd

## ◆ rdDataCapDelay

uint32_t OSPILLD_Object::rdDataCapDelay

Read data capture delays needed

## ◆ phyRdDataCapDelay

uint32_t OSPILLD_Object::phyRdDataCapDelay

Read data capture delays needed when phy is enabled

## ◆ numAddrBytes

uint32_t OSPILLD_Object::numAddrBytes

Number of bytes used to represent address to be sent to flash. This is the actual number of bytes used. The code to be programmed to registers is this value-1. That is, for 4-byte addressing mode, register should be programmed as 3

## ◆ cmdExtType

uint32_t OSPILLD_Object::cmdExtType

In dual byte opcode mode, the extended opcode can vary depending on flash This variable should be populated from the flash driver using the OSPI_lld_setCmdExtType API

## ◆ phyEnableSuccess

uint32_t OSPILLD_Object::phyEnableSuccess

This has to be set from the flash driver if the PHY tuning completed successfully

## ◆ currTrans

OSPI_Transaction* OSPILLD_Object::currTrans

Pointer to current transaction struct

## ◆ trans

OSPI_Transaction OSPILLD_Object::trans

Pointer to current transaction struct

## ◆ hOspiInit

OSPILLD_InitHandle OSPILLD_Object::hOspiInit

[IN] Initialization parameters of OSPI instance

## ◆ state

uint32_t OSPILLD_Object::state

## ◆ args

void* OSPILLD_Object::args

Pointer to be used by application to store miscellaneous data.

## ◆ Clock_getTicks

OSPI_Clock_getTicks OSPILLD_Object::Clock_getTicks

Function Pointer for the OSPI clock get ticks >

## ◆ Clock_usecToTicks

OSPI_Clock_usecToTicks OSPILLD_Object::Clock_usecToTicks

Function Pointer for the OSPI micro second to tick conversion >

## ◆ Clock_usleep

OSPI_Clock_usec OSPILLD_Object::Clock_usleep

## ◆ interruptCallback

OSPI_lld_InterruptCallback OSPILLD_Object::interruptCallback

## ◆ readCompleteCallback

OSPI_lld_dma_readCompleteCallback OSPILLD_Object::readCompleteCallback